Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets
Class TreeToggleListenerHandler.LazyListener

    java.lang.Object
      org.richfaces.view.facelets.TreeToggleListenerHandler.LazyListener

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.faces.event.FacesListener, org.richfaces.event.TreeToggleListener

Enclosing class:
  TreeToggleListenerHandler

    public static final class TreeToggleListenerHandler.LazyListener

extends java.lang.Object
implements org.richfaces.event.TreeToggleListener, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TreeToggleListenerHandler.LazyListener(java.lang.String type, javax.el.ValueExpression binding)`

Method Summary
`void` | `processTreeToggle(org.richfaces.event.TreeToggleEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeToggleListenerHandler.LazyListener

    public TreeToggleListenerHandler.LazyListener(java.lang.String type,
                                                  javax.el.ValueExpression binding)

Method Detail

### processTreeToggle

    public void processTreeToggle(org.richfaces.event.TreeToggleEvent event)
                           throws javax.faces.event.AbortProcessingException

  Specified by:
    `processTreeToggle` in interface `org.richfaces.event.TreeToggleListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.